Bug 250885 - www/rubygem-passenger; Enable the SYMLINK option by default
Summary: www/rubygem-passenger; Enable the SYMLINK option by default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sergey A. Osokin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-05 17:43 UTC by Romain Tartière
Modified: 2020-12-14 02:03 UTC (History)
2 users (show)

See Also:
romain: maintainer-feedback? (osa)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Romain Tartière freebsd_committer 2020-11-05 17:43:59 UTC
Hi!

The SYMLINK option is really handy for smooth updates of the passenger package, I am wondering if it would make sense to enable this option by default so that the packages shipped by the project can benefit from it.

Is there a reason for _not_ turning this on by default?

Thanks!
Comment 1 Koichiro Iwao freebsd_committer 2020-11-06 06:33:46 UTC
I +1 to this.
Comment 2 Romain Tartière freebsd_committer 2020-11-06 07:54:09 UTC
Assign to maintainer, I realize it was not automatically done by some automation.
Comment 3 commit-hook freebsd_committer 2020-12-14 02:00:14 UTC
A commit references this bug:

Author: romain
Date: Mon Dec 14 01:59:35 UTC 2020
New revision: 558069
URL: https://svnweb.freebsd.org/changeset/ports/558069

Log:
  Enable the SYMLINK option by default

  This provide a predictable path to the mod_passenger.so files to setup apache.

  Bump PORTREVISION since the package is changed.

  PR:		250885
  Approved by:	Maintainer timeout (5 weeks)

Changes:
  head/www/rubygem-passenger/Makefile
Comment 4 Romain Tartière freebsd_committer 2020-12-14 02:03:13 UTC
I committed the change since I got no negative feedback, thanks!